Enum Class ProtocolType
- All Implemented Interfaces:
APIParam, Serializable, Comparable<ProtocolType>, Constable
Cross-connect protocol type (
protocol_types in the cross-connects v2 spec). Several
wire values begin with a digit or contain a -, so they cannot be Java identifiers;
the actual transmitted value is supplied via getValue().-
Nested Class Summary
Nested classes/interfaces inherited from class Enum
Enum.EnumDesc<E> -
Enum Constant Summary
Enum ConstantsEnum ConstantDescription -
Method Summary
Modifier and TypeMethodDescriptionstatic ProtocolTypefromString(String value) getValue()toString()static ProtocolTypeReturns the enum constant of this class with the specified name.static ProtocolType[]values()Returns an array containing the constants of this enum class, in the order they are declared.Methods inherited from class Enum
clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOfMethods inherited from interface APIParam
paramValueModifier and TypeMethodDescriptiondefault StringThe value exactly as it must appear on the wire in a query or path parameter.
-
Enum Constant Details
-
ANTENNA
-
DS_3
-
E1
-
E3
-
ETHERNET
-
FAST_ETHERNET
-
GIGABIT_ETHERNET
-
POTS
-
T1
-
FIBRE_CHANNEL
-
GIG_ETHERNET_10
-
GIG_ETHERNET_100
-
GIG_ETHERNET_40
-
DARK_FIBER
-
DWDM
-
SPEED_56K
-
ISDN
-
OC_12
-
OC_192
-
OC_3
-
OC_48
-
STM_1
-
STM_16
-
STM_4
-
STM_64
-
NA
-
-
Method Details
-
values
Returns an array containing the constants of this enum class, in the order they are declared.- Returns:
- an array containing the constants of this enum class, in the order they are declared
-
valueOf
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)- Parameters:
name- the name of the enum constant to be returned.- Returns:
- the enum constant with the specified name
- Throws:
IllegalArgumentException- if this enum class has no constant with the specified nameNullPointerException- if the argument is null
-
getValue
-
fromString
-
toString
- Overrides:
toStringin classEnum<ProtocolType>
-